#
# spec file for package jupyter-jupyterlab-latex
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pythons python3
Name:           jupyter-jupyterlab-latex
Version:        3.1.0
Release:        2.2
Summary:        Jupyter Notebook server extension which acts as an endpoint for LaTeX
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jupyterlab/jupyterlab-latex
Source:         https://files.pythonhosted.org/packages/py3/j/jupyterlab_latex/jupyterlab_latex-%{version}-py3-none-any.whl
Source99:       jupyter-jupyterlab-latex-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  jupyter-rpm-macros
BuildRequires:  python3-base >= 3.6
BuildRequires:  python3-pip
Requires:       jupyter-notebook
Requires:       texlive-latex-bin
Provides:       python3-jupyter_jupyterlab_latex = %{version}-%{release}
Obsoletes:      python3-jupyter_jupyterlab_latex < %{version}-%{release}
Provides:       python3-jupyterlab-latex = %{version}-%{release}
BuildArch:      noarch

%description
An extension for JupyterLab which allows for live-editing of LaTeX documents.

%prep
%setup -q -c -T

%build
# Not Needed

%install
cp -a %{SOURCE0} .
%pyproject_install

%{jupyter_move_config}
%fdupes %{buildroot}%{_jupyter_prefix}
%fdupes %{buildroot}%{python3_sitelib}

#%%check
# no python tests

%files
%license %{python3_sitelib}/jupyterlab_latex-*.dist-info/LICENSE
%{python3_sitelib}/jupyterlab_latex-%{version}*.dist-info
%{python3_sitelib}/jupyterlab_latex/
%dir %_jupyter_labextensions_dir3/@jupyterlab
%_jupyter_labextensions_dir3/@jupyterlab/latex
%_jupyter_config %{_jupyter_servextension_confdir}/jupyterlab_latex.json
%_jupyter_config %{_jupyter_server_confdir}/jupyterlab_latex.json

%changelog
* Wed Mar 22 2023 Ben Greiner <code@bnavigator.de>
- Update Build Requirements (avoid have choice jupyterlab)
* Wed May 11 2022 Ben Greiner <code@bnavigator.de>
- Update to 3.1.0
  * Switch to prebuilt (federated) extension model
  * Fix bug with icons visibility in the dark theme
- Release 3.0.0
  * Update to JupyterLab 3.0
  * Add LaTeX file menu
  * Add download PDF button
- Release 2.0.0
  * Update to JupyterLab 2.0
* Sun Jan 12 2020 Bernhard Wiedemann <bwiedemann@suse.com>
- Use pyproject_install macro (boo#1094323)
* Sat Jul 27 2019 Todd R <toddrme2178@gmail.com>
- Update to 1.0.0
  * jupyterlab 1.0.0 support
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Rename to to match jupyter package naming guidelines.
* Fri Sep 28 2018 Todd R <toddrme2178@gmail.com>
- Update to 0.4.1
  * Allow SyncTeX to work on windows by using absolute file paths.
* Fri Sep  7 2018 toddrme2178@gmail.com
- Update to 0.4.0
  * Fixes for Windows paths and line endings.
  * Use absolute path in SyncTeX view command.
  * Output synctex response when parse fails.
  * Updates for JupyterLab v0.34.
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to 0.3.1
  * Flip the y coordinate for PDFJS, and add a margin when scrolling.
* Wed Apr 25 2018 toddrme2178@gmail.com
- Don't need to manually enable extension.
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
